Bug 240558 - scite does not default to utf-8 encoding
Summary: scite does not default to utf-8 encoding
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scite   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: cq92j9y+rlkr0w
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-18 13:24 UTC by Jens Petersen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.74-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 05:17:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scite-utf8.patch (377 bytes, patch)
2007-05-18 13:24 UTC, Jens Petersen
no flags Details | Diff

Description Jens Petersen 2007-05-18 13:24:58 UTC
Description of problem:
scite default to code.page 0 (single byte charset).
It should default to 65001 (utf-8).

Steps to Reproduce:
1. open a file or run a command with non-ascii utf-8 characters
  
Actual results:
characters are corrupted

Expected results:
utf-8 characters correctly displayed

Comment 1 Jens Petersen 2007-05-18 13:24:59 UTC
Created attachment 155000 [details]
scite-utf8.patch

Comment 2 Fedora Update System 2007-07-09 15:47:26 UTC
scite-1.74-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 cq92j9y+rlkr0w 2007-07-12 01:52:51 UTC
Hi Jens,

This is fixed with scite-1.74 both in Rawhide and F7. Thanks for your interest.

Comment 4 Fedora Update System 2007-07-25 05:17:14 UTC
scite-1.74-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.